Bug 741994 - For EFIGRUB the bootloader needs to be installed before writing grub.conf
For EFIGRUB the bootloader needs to be installed before writing grub.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F16Beta/F16BetaBlocker
  Show dependency treegraph
 
Reported: 2011-09-28 14:16 EDT by Brian Lane
Modified: 2011-10-03 14:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-16.20-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-03 14:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2011-09-28 14:16:32 EDT
On EFI the grub.conf includes a device mapping line that ensures that hd(x,y) points to the right device. This information is pulled from efibootmgr -v, so the new entry needs to be made before writing grub.conf on EFI, not after.
Comment 1 Adam Williamson 2011-09-28 19:44:30 EDT
marking as a beta blocker, this bug was effectively voted on and accepted as part of the go/no-go meeting today, in the discussion of #741781.
Comment 2 Fedora Update System 2011-09-28 21:15:45 EDT
anaconda-16.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.20-1.fc16
Comment 3 Fedora Update System 2011-09-29 00:48:20 EDT
Package anaconda-16.20-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.20-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.20-1.fc16
then log in and leave karma (feedback).
Comment 4 Adam Williamson 2011-09-29 07:55:07 EDT
verified by me, bcl and a few others with RC4.
Comment 5 Fedora Update System 2011-10-03 14:07:28 EDT
anaconda-16.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.